Canned responses
REST reference

Canned Responses API

Saved reply templates (read-only).

List canned responses

GET/v1/canned_responses

Cursor-paginated canned responses, newest first.

Required scope: conversations:read.

Parameters
limitinteger

Page size (1–100).

starting_afterstring

Cursor: the `id` of the last item from the previous page.

Request
cURL
curl "https://api.asks.app/v1/canned_responses" \
  -H "Authorization: Bearer $ASKS_API_KEY"
Response 200
JSON
{
  "object": "list",
  "data": [
    {
      "object": "canned_response",
      "id": "string",
      "name": "string",
      "content": "string",
      "shortcut": {},
      "visibility": "personal",
      "set_status": {},
      "set_priority": {},
      "add_tags": [
        "string"
      ],
      "usage_count": 1,
      "created_at": {}
    }
  ],
  "has_more": true,
  "next_cursor": {}
}

Retrieve a canned response

GET/v1/canned_responses/{id}

Required scope: conversations:read.

Request
cURL
curl "https://api.asks.app/v1/canned_responses/<id>" \
  -H "Authorization: Bearer $ASKS_API_KEY"
Response 200
JSON
{
  "object": "canned_response",
  "id": "string",
  "name": "string",
  "content": "string",
  "shortcut": {},
  "visibility": "personal",
  "set_status": {},
  "set_priority": {},
  "add_tags": [
    "string"
  ],
  "usage_count": 1,
  "created_at": {}
}